{{/*
Generate full image paths for KaaS CDN
*/}}

{{- define "ironic.image" -}}
{{- if (.Values.ironic.image.fullName) -}}
{{- .Values.ironic.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.ironic.image.repository .Values.ironic.image.name .Values.ironic.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "ironic_inspector.image" -}}
{{- if (.Values.ironic_inspector.image.fullName) -}}
{{- .Values.ironic_inspector.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.ironic_inspector.image.repository .Values.ironic_inspector.image.name .Values.ironic_inspector.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "ironic_operator.image" -}}
{{- if (.Values.ironic_operator.image.fullName) -}}
{{- .Values.ironic_operator.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.ironic_operator.image.repository .Values.ironic_operator.image.name .Values.ironic_operator.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "mariadb.image" -}}
{{- if (.Values.mariadb.image.fullName) -}}
{{- .Values.mariadb.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.mariadb.image.repository .Values.mariadb.image.name .Values.mariadb.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "dnsmasq.image" -}}
{{- if (.Values.dnsmasq.image.fullName) -}}
{{- .Values.dnsmasq.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.dnsmasq.image.repository .Values.dnsmasq.image.name .Values.dnsmasq.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "httpd.image" -}}
{{- if (.Values.httpd.image.fullName) -}}
{{- .Values.httpd.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.httpd.image.repository .Values.httpd.image.name .Values.httpd.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "init_bootstrap.image" -}}
{{- if (.Values.init_bootstrap.image.fullName) -}}
{{- .Values.init_bootstrap.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.init_bootstrap.image.repository .Values.init_bootstrap.image.name .Values.init_bootstrap.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "baremetal_operator.image" -}}
{{- if (.Values.baremetal_operator.image.fullName) -}}
{{- .Values.baremetal_operator.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.baremetal_operator.image.repository .Values.baremetal_operator.image.name .Values.baremetal_operator.image.tag -}}
{{- end -}}
{{- end -}}

