{{- define "inspector.conf" }}
[DEFAULT]
# 20min timeout
timeout = 1200
log_dir = /volume/log/ironic-inspector
state_path = /var/lib/ironic-inspector
use_stderr = true
auth_strategy = noauth
debug = false
transport_url = fake://
enable_mdns = False
[capabilities]
[cors]
[database]
connection = mysql+pymysql://ironic:{{- .Values.mariadb.password }}@mariadb-sql/inspector?charset=utf8
[discovery]
enroll_node_driver = ipmi
[dnsmasq_pxe_filter]
[iptables]
[ironic]
auth_type = none
endpoint_override = http://ironic-api-http:6385
[keystone_authtoken]
[mdns]
[oslo_messaging_amqp]
[oslo_messaging_kafka]
[oslo_messaging_notifications]
[oslo_messaging_rabbit]
[oslo_policy]
[pci_devices]
[processing]
store_data = database
ramdisk_logs_dir = /volume/log/ironic-inspector/ramdisk
always_store_ramdisk_logs = true
processing_hooks = $default_processing_hooks,extra_hardware,lldp_basic,ramdisk_error
[pxe_filter]
driver = noop
[service_catalog]
auth_type = none
endpoint_override = http://ironic-inspector-api-http:5050
[ssl]
[swift]
{{- end }}
