{{- define "inspector.ipxe" }}
#!ipxe

#
# NOTE(sriazanov): these parameters are used by ironic-operator for the reconciliation process
# All changes to them, should be aligned with ironic-operator logic
#
set webserver_url http://{{ .Values.httpd.service.loadBalancerIP }}:{{ .Values.ironic.configuration.http_port }}
set ironic_url http://{{ .Values.ironic.service.loadBalancerIP }}
set ironic_inspector_url http://{{ .Values.ironic_inspector.service.loadBalancerIP }}

:retry_boot
echo In inspector.ipxe
imgfree
kernel --timeout 60000 ${webserver_url}/images/ironic-python-agent.kernel ipa-api-url=${ironic_url}:6385 ipa-inspection-callback-url=${ironic_inspector_url}:5050/v1/continue BOOTIF=${mac} sshkey_url="${webserver_url}/ansible_key.pub" initrd=ironic-python-agent.initramfs systemd.journald.forward_to_console=yes ipa-debug=1 ipa-inspection-collectors=default,logs,pci-devices,dmi-decode,numa-topology || goto retry_boot
initrd --timeout 60000 ${webserver_url}/images/ironic-python-agent.initramfs || goto retry_boot
boot
{{- end }}

